# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without maven
%bcond_without repolib

%define reltag .redhat_1
%define namedreltag -redhat-1
%global namedversion %{version}%{?namedreltag}
%global base_name collections
%global short_name commons-%{base_name}
%define section free

Name:           apache-%{short_name}
Version:        3.2.1
Release:        8%{?reltag}%{?dist}
Epoch:          0
Summary:        Apache Commons Collections
License:        ASL 2.0
Group:          Development/Libraries/Java
URL:            http://commons.apache.org/collections
Source0:        http://www.apache.org/dist/jakarta/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
Source1:        collections-tomcat5-build.xml
Patch0:         %{name}-javadoc-nonet.patch
Patch1:         commons-collections-pom.patch
Provides:       jakarta-%{short_name} = %{epoch}:%{version}-%{release}
Obsoletes:      jakarta-%{short_name} < %{epoch}:%{version}-%{release}
Provides:       %{short_name} = %{epoch}:%{version}-%{release}
Obsoletes:      %{short_name} < %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       java >= 0:1.6.0
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7
BuildRequires:  ant-junit
BuildRequires:  junit >= 0:3.8.1
%if %with maven
BuildRequires:  apache-commons-parent >= 0:12
BuildRequires:  maven-plugin-bundle
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{short_name}-%{version}-%{release}-root

%description
The introduction of the Collections API by Sun in JDK 1.2 has been a
boon to quick and effective Java programming. Ready access to powerful
data structures has accelerated development by reducing the need for
custom container classes around each core object. Most Java2 APIs are
significantly easier to use because of the Collections API.
However, there are certain holes left unfilled by Sun's
implementations, and the Jakarta-Commons Collections Component strives
to fulfill them. Among the features of this package are:
- special-purpose implementations of Lists and Maps for fast access
- adapter classes from Java1-style containers (arrays, enumerations) to
Java2-style collections.
- methods to test or create typical set-theory properties of collections
such as union, intersection, and closure.

%package testframework
Summary:        Testframework for %{short_name}
Group:          Development/Testing
Requires:       %{short_name} = %{epoch}:%{version}-%{release}
Provides:       jakarta-%{short_name}-testframework = %{epoch}:%{version}-%{release}
Obsoletes:      jakarta-%{short_name}-testframework < %{epoch}:%{version}-%{release}
Provides:       %{short_name}-testframework = %{epoch}:%{version}-%{release}
Obsoletes:      %{short_name}-testframework < %{epoch}:%{version}-%{release}

%description testframework
%{summary}.

%package tomcat
Summary:        Collection dependency for Tomcat 6 and 7
Group:          Development/Libraries/Java
Provides:       jakarta-%{short_name}-tomcat5 = %{epoch}:%{version}-%{release}
Obsoletes:      jakarta-%{short_name}-tomcat5 < %{epoch}:%{version}-%{release}
Provides:       %{short_name}-tomcat5 = %{epoch}:%{version}-%{release}
Obsoletes:      %{short_name}-tomcat5 < %{epoch}:%{version}-%{release}

%description tomcat
Collections dependency for Tomcat 6 and 7.

%package javadoc
Summary:        Javadoc for %{short_name}
Group:          Development/Documentation
Provides:       jakarta-%{short_name}-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:      jakarta-%{short_name}-javadoc < %{epoch}:%{version}-%{release}
Provides:       %{short_name}-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:      %{short_name}-javadoc < %{epoch}:%{version}-%{release}
Requires:       jpackage-utils

%description javadoc
%{summary}.

%package testframework-javadoc
Summary:        Javadoc for %{short_name}-testframework
Group:          Development/Documentation
Provides:       jakarta-%{short_name}-testframework-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:      jakarta-%{short_name}-testframework-javadoc < %{epoch}:%{version}-%{release}
Provides:       %{short_name}-testframework-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:      %{short_name}-testframework-javadoc < %{epoch}:%{version}-%{release}

%description testframework-javadoc
%{summary}.

%if %with maven
%package manual
Summary:        Documents for %{short_name}
Group:          Development/Documentation
Provides:       jakarta-%{short_name}-manual = %{epoch}:%{version}-%{release}
Obsoletes:      jakarta-%{short_name}-manual < %{epoch}:%{version}-%{release}
Provides:       %{short_name}-manual = %{epoch}:%{version}-%{release}
Obsoletes:      %{short_name}-manual < %{epoch}:%{version}-%{release}

%description manual
%{summary}.
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java
Provides:       jakarta-%{short_name}-repolib = %{epoch}:%{version}-%{release}
Obsoletes:      jakarta-%{short_name}-repolib < %{epoch}:%{version}-%{release}
Provides:       %{short_name}-repolib = %{epoch}:%{version}-%{release}
Obsoletes:      %{short_name}-repolib < %{epoch}:%{version}-%{release}

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n %{short_name}-%{version}-src
%patch0 -p1 -b .sav0
%patch1 -p1 -b .sav1

cp -p %{SOURCE1} .

%build
%if %with maven
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file://`pwd`/maven2-brew
export MAVEN_OPTS="-Xms1g -Xmx1g"
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} deploy javadoc:javadoc
%{ant} tf.javadoc
%else
%{ant} -Djava.io.tmpdir=. test dist tf.javadoc
%endif

# commons-collections-tomcat5
%{ant} -f collections-tomcat5-build.xml

%install
rm -rf %{buildroot}

# jars
mkdir -p %{buildroot}%{_javadir}
%if %with maven
cp -p target/%{short_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{short_name}-%{namedversion}.jar
cp -p target/%{short_name}-testframework-%{namedversion}.jar %{buildroot}%{_javadir}/%{short_name}-testframework-%{namedversion}.jar
%else
cp -p build/%{short_name}-%{version}.jar %{buildroot}%{_javadir}/%{short_name}-%{namedversion}.jar
cp -p build/%{short_name}-testframework-%{version}.jar %{buildroot}%{_javadir}/%{short_name}-testframework-%{namedversion}.jar
%endif
ln -s %{short_name}-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta-%{short_name}-%{namedversion}.jar
ln -s %{short_name}-testframework-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta-%{short_name}-testframework-%{namedversion}.jar
# tomcat5
cp -p collections-tomcat5/%{short_name}-tomcat5.jar %{buildroot}%{_javadir}/%{short_name}-tomcat-%{namedversion}.jar
ln -s %{short_name}-tomcat5-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta-%{short_name}-tomcat-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo ${jar} | sed "s|-%{namedversion}||g"`; done)

# pom
mkdir -p %{buildroot}%{_datadir}/maven2/poms
cp -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{short_name}.pom

# depmaps
%add_to_maven_depmap %{short_name} %{short_name} %{namedversion} JPP %{short_name}
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{short_name}
%add_to_maven_depmap %{short_name} %{short_name}-testframework %{namedversion} JPP %{short_name}-testframework
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{short_name}-testframework

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{short_name}-%{namedversion}
%if %with maven
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{short_name}-%{namedversion}
%else
cp -pr build/docs/apidocs/* %{buildroot}%{_javadocdir}/%{short_name}-%{namedversion}
%endif
ln -s %{short_name}-%{namedversion} %{buildroot}%{_javadocdir}/%{short_name}
ln -s %{short_name}-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-%{short_name}-%{namedversion}
ln -s jakarta-%{short_name}-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-%{short_name}

# testframework-javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{short_name}-testframework-%{namedversion}
cp -pr build/docs/testframework/* %{buildroot}%{_javadocdir}/%{short_name}-testframework-%{namedversion}
ln -s %{short_name}-testframework-%{namedversion} %{buildroot}%{_javadocdir}/%{short_name}-testframework
ln -s %{short_name}-testframework-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-%{short_name}-testframework-%{namedversion}
ln -s jakarta-%{short_name}-testframework-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-%{short_name}-testframework

# manual
%if %with maven
mkdir -p %{buildroot}%{_docdir}/%{short_name}-%{namedversion}
cp -pr target/site/* %{buildroot}%{_docdir}/%{short_name}-%{namedversion}
rm -r %{buildroot}%{_docdir}/%{short_name}-%{namedversion}/apidocs
ln -s %{short_name}-%{namedversion} %{buildroot}%{_docdir}/%{short_name}
ln -s %{short_name}-%{namedversion} %{buildroot}%{_docdir}/jakarta-%{short_name}-%{namedversion}
ln -s jakarta-%{short_name}-%{namedversion} %{buildroot}%{_docdir}/jakarta-%{short_name}
%endif

%if %with repolib
mkdir -p %{buildroot}%{_javadir}/repository.jboss.com
cp -pr maven2-brew %{buildroot}%{_javadir}/repository.jboss.com
#tomcat jar
export URL=file://%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -Dfile=collections-tomcat5/%{short_name}-tomcat5.jar -DrepositoryId=jboss-releases -Durl=${URL} -Dversion=%{namedversion} -DgroupId=%{short_name} -DartifactId=%{short_name}-tomcat

# Add sources and patches
mkdir tmp
pushd tmp
tar xf %{SOURCE0}
mv %{short_name}-%{version}-src %{short_name}-%{version}
cp %{SOURCE1} %{short_name}-%{version}
zip -q -9 -r %{short_name}-%{short_name}-%{namedversion}-sources.zip %{short_name}-%{version}
mkdir %{short_name}
cp %{PATCH0} %{short_name}
cp %{PATCH1} %{short_name}
zip -q -9 -r %{short_name}-%{short_name}-%{namedversion}-patches.zip %{short_name}
export URL=file://%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{_bindir}/mvn-jpp -DperformRelease=true deploy:deploy-file -Dfile=%{short_name}-%{short_name}-%{namedversion}-sources.zip -DrepositoryId=jboss-releases-repository -Durl=${URL} -DartifactId=%{short_name}-repolib -Dclassifier=sources -DgroupId=%{short_name} -Dpackaging=zip -Dversion=%{namedversion}
%{_bindir}/mvn-jpp -DperformRelease=true deploy:deploy-file -Dfile=%{short_name}-%{short_name}-%{namedversion}-patches.zip -DrepositoryId=jboss-releases-repository -Durl=${URL} -DartifactId=%{short_name}-repolib -Dclassifier=patches -DgroupId=%{short_name} -Dpackaging=zip -Dversion=%{namedversion}
popd
rm -Rf tmp
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc PROPOSAL.html README.txt LICENSE.txt RELEASE-NOTES.html
%{_javadir}*/%{short_name}-%{namedversion}.jar
%{_javadir}*/%{short_name}.jar
%{_javadir}*/jakarta-%{short_name}-%{namedversion}.jar
%{_javadir}*/jakarta-%{short_name}.jar
%{_datadir}/maven2/poms/JPP-%{short_name}.pom
%{_mavendepmapfragdir}/%{short_name}

%files testframework
%defattr(0644,root,root,0755)
%{_javadir}*/%{short_name}-testframework-%{namedversion}.jar
%{_javadir}*/%{short_name}-testframework.jar
%{_javadir}*/jakarta-%{short_name}-testframework-%{namedversion}.jar
%{_javadir}*/jakarta-%{short_name}-testframework.jar
%{_mavendepmapfragdir}/%{short_name}-testframework

%files tomcat
%defattr(0644,root,root,0755)
%{_javadir}*/*-tomcat*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{short_name}-%{namedversion}
%{_javadocdir}/%{short_name}
%{_javadocdir}/jakarta-%{short_name}-%{namedversion}
%{_javadocdir}/jakarta-%{short_name}

%files testframework-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{short_name}-testframework-%{namedversion}
%{_javadocdir}/%{short_name}-testframework
%{_javadocdir}/jakarta-%{short_name}-testframework-%{namedversion}
%{_javadocdir}/jakarta-%{short_name}-testframework

%if %with maven
%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{short_name}-%{namedversion}
%{_docdir}/%{short_name}
%{_docdir}/jakarta-%{short_name}-%{namedversion}
%{_docdir}/jakarta-%{short_name}
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Tue Jun 05 2012 Permaine Cheung <pcheung@redhat.com> - 0:3.2.1-8.redhat_1
- Add tomcat jar to repolib
- Rename tomcat5 subpackage to tomcat

* Fri Apr 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:3.2.1-7.redhat_1
- Add sources and patches to maven2-brew directory in repolib

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-6.2_redhat_1.1
- Rebuild using cache signing

* Tue Nov 08 2011 David Walluck <dwalluck@redhat.com> 0:3.2.1-6.2
- rebuild for deploy bug

* Mon Nov 07 2011 David Walluck <dwalluck@redhat.com> 0:3.2.1-6.1
- fix file names
- remove GCJ support
- remove copy of duplicate docs into site dir

* Wed Feb 02 2011 David Walluck <dwalluck@redhat.com> 0:3.2.1-6
- provide compat symlinks for javadoc and manual
- fix symlink logic
- fix apidocs removal during %%install
- update License to match Fedora standard

* Thu Dec 09 2010 Ralph Apel <r.apel@r-apel.de> 0:3.2.1-5
- Fix compat symlinks for jakarta-commons-collections

* Thu Oct 07 2010 Ralph Apel <r.apel@r-apel.de> 0:3.2.1-4
- Provide compat symlinks for jakarta-commons-collections

* Tue Sep 21 2010 David Walluck <dwalluck@redhat.com> 0:3.2.1-3
- drop Requires: apache-commons-parent (brings in maven2 at runtime)

* Wed Sep 08 2010 Ralph Apel <r.apel at r-apel.de> 0:3.2.1-2
- OK move it to free

* Wed Nov 18 2009 Ralph Apel <r.apel at r-apel.de> 0:3.2.1-1
- 3.2.1
- rename to apache-commons-collections
- drop maven1 build
- build with maven2 by default
- add repolib subpackage

* Tue Apr 07 2009 Ralph Apel <r.apel at r-apel.de> 0:3.2-3.jpp6
- First JPP-6 release

* Mon Nov 19 2007 Ralph Apel <r.apel at r-apel.de> 0:3.2-2jpp
- Fix depmap fragment

* Mon Aug 13 2007 Ralph Apel <r.apel at r-apel.de> 0:3.2-1jpp
- Upgrade to 3.2
- Add pom and depmap frag
- Make Vendor, Distribution based on macro

* Fri May 11 2007 Jason Corley <jason.corley@gmail.com> 0:3.1-11jpp
- rebuild through mock and centos 4
- replace vendor and distribution with macros

* Thu May 03 2007 Ralph Apel <r.apel at r-apel.de> 0:3.1-10jpp
- Fix project_properties.patch to meet new plugins
- Silence prep section
- Restore Vendor and Distribution

* Fri Feb 23 2007 Jason Corley <jason.corley@gmail.com> 0:3.1-9jpp
- update copyright to contain current year
- rebuild on RHEL4 to avoid broken jar repack script in FC6

* Fri Jan 26 2007 Matt Wringe <mwringe@redhat.com> - 0:3.1-8jpp
- Fix bug in collections-tomcat5-build.xml

* Fri Jan 19 2007 Matt Wringe <mwringe@redhat.com> - 0:3.1-7jpp
- Add tomcat5 subpackage
- Add versioning to provides and obsoletes
- Move rm -rf %%RPM_BUILD_ROOT from %%prep to %%install
- Add missing maven dependencies

* Fri Aug 04 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:3.1-6jpp
- Add proper Requires(x) statements where appropriate.

* Thu Jul 20 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:3.1-5jpp
- Remove duplicate NVR define statements.

* Mon Jul 17 2006 Vivek Lakshmanan <vivekl at redhat.com> - 0:3.1-4jpp
- Add conditional native compilation.
- Update commons-collections-3.1-project_xml.patch to exclude reference
  to maven-plugin-changelog which requires netbeans-svc etc.
- Set test.failonerror to false and add patch for build.xml for ant builds
  with gcj to avoid stopping the build on test failures on GCJ.

* Fri Apr 07 2006 Ralph Apel <r.apel at r-apel.de> - 0:3.1-3jpp
- First JPP-1.7 release
- Activate tests
- Activate testframework and add -testframework subpackages
- Add -manual subpackage
- Build with maven by default
- Optionally build with straight ant

* Wed May 25 2005 Gary Benson <gbenson at redhat.com> - 0:3.1-2jpp
- Do not fetch stuff from sun.com during javadoc generation.
- Add build dependency on ant-junit.

* Thu Sep 16 2004 Ralph Apel <r.apel at r-apel.de> - 0:3.1-1jpp
- Upgrade to 3.1

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.1.1-2jpp
- Rebuild with ant-1.6.2

* Sun Jun 27 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.1.1-1jpp
- Update to 2.1.1

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:2.1-4jpp
- update for JPackage 1.5

* Fri Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org > 2.1-3jpp
- For jpackage-utils 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 2.1-2jpp
- fix ASF license and add package tag

* Thu Oct 24 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.1-1jpp
- 2.1
- remove build patch about Java APIS link

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0-4jpp
- override java.io.tmpdir to avoid build use /tmp

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0-3jpp
- use sed instead of bash 2.x extension in link area to make spec compatible 
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0-2jpp
- added short names in %%{_javadir}, as does jakarta developpers 

* Mon May 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-1jpp 
- 2.0
- distribution tag
- group tag
- regenerated patch

* Sat Jan 19 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-5jpp
- renamed to %%{name}
- additional sources in individual archives
- versioned dir for javadoc
- section macro

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- javadoc into javadoc package

* Sat Nov 3 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp
- used original summary
- added missing license

* Sat Oct 13 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-2jpp
- first unified release
- used web page description
- s/jPackage/JPackage

* Mon Aug 27 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1mdk
- first Mandrake release
